Bug 13814 - Add unit tests for C4::Boolean
Summary: Add unit tests for C4::Boolean
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Julian FIOL
QA Contact: Galen Charlton
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-03-10 08:57 UTC by Julian FIOL
Modified: 2015-12-03 22:02 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13814 : add 6 unit tests in t/Boolean.t (1.47 KB, patch)
2015-03-10 09:31 UTC, Julian FIOL
Details | Diff | Splinter Review
[Signed-off] Bug 13814 : add 6 unit tests in t/Boolean.t (1.64 KB, patch)
2015-03-10 13:32 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13814 : Add Lines Alignment (2.68 KB, patch)
2015-03-10 16:00 UTC, Julian FIOL
Details | Diff | Splinter Review
Bug 13814 : Add Lines Alignment (1.95 KB, patch)
2015-03-10 16:13 UTC, Julian FIOL
Details | Diff | Splinter Review
[Signed-off] Bug 13814 : Add Lines Alignment (2.10 KB, patch)
2015-03-10 17:16 UTC, Marc Véron
Details | Diff | Splinter Review
[PASSED QA] Bug 13814 : add 6 unit tests in t/Boolean.t (1.61 KB, patch)
2015-03-13 15:02 UTC, Kyle M Hall
Details | Diff | Splinter Review
[PASSED QA] Bug 13814 : Add Lines Alignment (2.07 KB, patch)
2015-03-13 15:04 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 13814: (QA followup) test for generated warnings (1.82 KB, patch)
2015-03-15 12:05 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Julian FIOL 2015-03-10 08:57:09 UTC
It missed some tests on C4::Boolean.
I want to add them.
Comment 1 Julian FIOL 2015-03-10 09:31:16 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2015-03-10 13:32:36 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2015-03-10 15:44:09 UTC
Julian, Please resubmit a patch keeping alignment.
Comment 4 Julian FIOL 2015-03-10 16:00:27 UTC Comment hidden (obsolete)
Comment 5 Julian FIOL 2015-03-10 16:13:30 UTC Comment hidden (obsolete)
Comment 6 Marc Véron 2015-03-10 17:16:37 UTC Comment hidden (obsolete)
Comment 7 Kyle M Hall 2015-03-13 15:02:09 UTC
Created attachment 36868 [details] [review]
[PASSED QA] Bug 13814 : add 6 unit tests in t/Boolean.t

Works as expected.
Signed-off-by: Marc Veron <veron@veron.ch>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 8 Kyle M Hall 2015-03-13 15:04:29 UTC
Created attachment 36869 [details] [review]
[PASSED QA] Bug 13814 : Add Lines Alignment

Signed-off-by: Marc Veron <veron@veron.ch>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 9 Tomás Cohen Arazi 2015-03-15 12:05:22 UTC
Created attachment 36891 [details] [review]
Bug 13814: (QA followup) test for generated warnings

Signed-off-by: Tomas Cohen Arazi <tomascohen@gmail.com>
Comment 10 Tomás Cohen Arazi 2015-03-15 12:13:35 UTC
Patches pushed to master.

Thanks Julian, and congratulations!
Comment 11 Chris Cormack 2015-03-21 21:59:14 UTC
Pushed to 3.18.x will be in 3.18.5
Comment 12 Mason James 2015-03-27 03:38:10 UTC
Pushed to 3.16.x, will be in 3.16.9